Loading...
Searching...
No Matches
casacore::MSScanGram_global_functions_MSScanGramFunctions Struct Reference
ms package (libcasa_ms) » MSSel_module » MSSel_module_internal_classes

More...

`#include <MSScanGram.h>`

## Public Member Functions

TableExprNode | baseMSScanGramParseCommand (MSScanParse *parser, const String &command, Vector< Int > &idList, Int maxScans=1000)
| Declare the bison parser (is implemented by bison command).
TableExprNode | msScanGramParseCommand (const MeasurementSet *ms, const String &command, Vector< Int > &idList, Int maxScans=1000)
TableExprNode | msScanGramParseCommand (const MeasurementSet *ms, const TableExprNode &colAsTEN, const String &command, Vector< Int > &selectedIDs, Int maxScans)
void | MSScanGramerror (const char *)
| The yyerror function for the parser.
void | msScanGramParseDeleteNode ()
| Give the table expression node.
Int & | msScanGramPosition ()
| Give the current position in the string.
int | msScanGramInput (char *buf, int max_size)
| Declare the input routine for flex/bison.

## Detailed Description

Global functions for flex/bison scanner/parser for MSScanGram

### Intended use:

Internal

### Prerequisite

- MSScanGram.l and.y (flex and bison grammar)

### Synopsis

Global functions are needed to define the input of the flex scanner and to start the bison parser. The input is taken from a string.

### Motivation

It is necessary to be able to give an image expression in ASCII. This can be used in glish.

Definition at line 71 of file MSScanGram.h.

## Member Function Documentation

## baseMSScanGramParseCommand()

TableExprNode casacore::MSScanGram_global_functions_MSScanGramFunctions::baseMSScanGramParseCommand | ( | MSScanParse * | parser,
|  | const String & | command,
|  | Vector< Int > & | idList,
|  | Int | maxScans = 1000 )

Declare the bison parser (is implemented by bison command).

## MSScanGramerror()

void casacore::MSScanGram_global_functions_MSScanGramFunctions::MSScanGramerror | ( | const char * |  | ) |

The yyerror function for the parser.

It throws an exception with the current token.

## msScanGramInput()

int casacore::MSScanGram_global_functions_MSScanGramFunctions::msScanGramInput | ( | char * | buf,
|  | int | max_size )

Declare the input routine for flex/bison.

## msScanGramParseCommand() [1/2]

TableExprNode casacore::MSScanGram_global_functions_MSScanGramFunctions::msScanGramParseCommand | ( | const MeasurementSet * | ms,
|  | const String & | command,
|  | Vector< Int > & | idList,
|  | Int | maxScans = 1000 )

## msScanGramParseCommand() [2/2]

TableExprNode casacore::MSScanGram_global_functions_MSScanGramFunctions::msScanGramParseCommand | ( | const MeasurementSet * | ms,
|  | const TableExprNode & | colAsTEN,
|  | const String & | command,
|  | Vector< Int > & | selectedIDs,
|  | Int | maxScans )

## msScanGramParseDeleteNode()

void casacore::MSScanGram_global_functions_MSScanGramFunctions::msScanGramParseDeleteNode | ( |  | ) |

Give the table expression node.

const TableExprNode *msScanGramParseNode();

## msScanGramPosition()

Int & casacore::MSScanGram_global_functions_MSScanGramFunctions::msScanGramPosition | ( |  | ) |

Give the current position in the string.

This can be used when parse errors occur.

The documentation for this struct was generated from the following file:

- ms/MSSel/MSScanGram.h